Browse Source

Minor fix

undefined
Gattes 1 month ago
parent
commit
bf037fe2f9
3 changed files with 7 additions and 6 deletions
  1. 1
    3
      docker-compose.yaml
  2. 3
    3
      install.sh
  3. 3
    0
      killall.sh

+ 1
- 3
docker-compose.yaml View File

@@ -2,7 +2,7 @@
2 2
 services:
3 3
 
4 4
   synapse:
5
-    image: ghcr.io/element-hq/synapse:v1.126.1
5
+    image: ghcr.io/element-hq/synapse:v1.126.0
6 6
     restart: always
7 7
     environment:
8 8
       - SYNAPSE_CONFIG_PATH=/data/homeserver.yaml
@@ -71,8 +71,6 @@ services:
71 71
       matrix_server:
72 72
         ipv4_address: 10.10.10.7
73 73
       matrix_db:
74
-    ports:
75
-      - 8009:8008
76 74
     depends_on:
77 75
       - synapse
78 76
 

+ 3
- 3
install.sh View File

@@ -1,6 +1,6 @@
1 1
 #!/bin/bash
2 2
 
3
-set -euo pipefail
3
+set -eo pipefail
4 4
 
5 5
 DOMAIN=$1
6 6
 if [ -z ${DOMAIN} ]; then
@@ -96,7 +96,7 @@ sed -i "s|PG_PASS|${PG_PASS}|g" "${BASE_DIR}/docker-compose.yaml"
96 96
 
97 97
 # Generate synapse file
98 98
 echo -e "Generating synapse file..\n"
99
-docker compose run --rm -e SYNAPSE_SERVER_NAME=${DOMAIN} -e SYNAPSE_REPORT_STATS=yes synapse generate
99
+docker compose run --rm synapse_homeserver --generate-config -H ${DOMAIN} -c /data/homeserver.yaml --report-stats=yes
100 100
 
101 101
 # Replace DB config in Synapse's homeserver.yaml
102 102
 echo -e "Configuring homeserver.yaml\n"
@@ -188,7 +188,7 @@ server {
188 188
 
189 189
     # Sliding Sync
190 190
     location ~ ^/(client/|_matrix/client/unstable/org.matrix.msc3575/sync) {
191
-        proxy_pass http://10.10.10.7:8009;
191
+        proxy_pass http://10.10.10.7:8008;
192 192
         proxy_set_header X-Forwarded-For \$remote_addr;
193 193
         proxy_set_header X-Forwarded-Proto \$scheme;
194 194
         proxy_set_header Host \$host;

+ 3
- 0
killall.sh View File

@@ -11,6 +11,9 @@ if [ "${answer}" != "${answer#[Yy]}" ] ;then
11 11
     systemctl disable --now nginx
12 12
     systemctl disable --now coturn
13 13
 
14
+    echo "Deleting all containers"
15
+    for container in `docker ps -a  | awk '{print $1}' | tail +2`; do docker rm -f ${container}; done
16
+
14 17
     echo "Purging containers data"
15 18
     docker system prune -a -f
16 19
 

Loading…
Cancel
Save